All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts
Interface DynamicValueProviderInterface

All Superinterfaces:
  java.lang.Cloneable, com.sas.PublicClonable, com.sas.storage.valueprovider.ValueProviderInterface

    public interface DynamicValueProviderInterface

extends com.sas.storage.valueprovider.ValueProviderInterface

Value providers should implement this interface if they get values from a dynamic data source such as a SAS table or InformationMap.

Method Summary
`com.sas.datatypes.DataTypeInterface` | `getDataType(DynamicPromptValueContextInterface dynamicValuesContext)` Returns the data type for the set of possible values returns by the value provider.
`java.util.Collection` | `getDependentPrompts(java.util.Locale locale, DynamicPromptValueContextInterface dynamicValuesContext)` Returns a collection of PromptDefinitionInterfaces which the value provider depends on.
`java.lang.Object` | `getValues(java.util.Locale locale, DynamicPromptValueContextInterface dynamicPromptValueContext, com.sas.storage.valueprovider.ValueType returnType)`
`java.lang.Object` | `getValues(java.util.Locale locale, DynamicPromptValueContextInterface dynamicPromptValueContext, com.sas.storage.valueprovider.ValueType returnType, int index, int count)`
`java.lang.Object` | `getValues(java.util.Locale locale, com.sas.prompts.PromptViewInterface promptView, DynamicPromptValueContextInterface dynamicPromptValueContext, com.sas.storage.valueprovider.ValueType returnType)`
`java.lang.Object` | `getValues(java.util.Locale locale, com.sas.prompts.PromptViewInterface promptView, DynamicPromptValueContextInterface dynamicPromptValueContext, com.sas.storage.valueprovider.ValueType returnType, int index, int count)`

Method Detail

### getDataType

    com.sas.datatypes.DataTypeInterface getDataType(DynamicPromptValueContextInterface dynamicValuesContext)
                                                    throws com.sas.storage.valueprovider.ValueProviderException

  Returns the data type for the set of possible values returns by the value provider.

  Throws:
    `com.sas.storage.valueprovider.ValueProviderException`

### getDependentPrompts

    java.util.Collection getDependentPrompts(java.util.Locale locale,
                                             DynamicPromptValueContextInterface dynamicValuesContext)
                                             throws com.sas.storage.valueprovider.ValueProviderException

  Returns a collection of PromptDefinitionInterfaces which the value provider depends on.

  Parameters:
    `locale` - The locale of the user
    `dynamicValuesContext` - The context to use when generating the query
  Returns:
    a collection of PromptDefinitionInterfaces which the value provider depends on.
  Throws:
    `com.sas.storage.valueprovider.ValueProviderException`

### getValues

    java.lang.Object getValues(java.util.Locale locale,
                               DynamicPromptValueContextInterface dynamicPromptValueContext,
                               com.sas.storage.valueprovider.ValueType returnType)
                               throws com.sas.storage.valueprovider.ValueProviderException

  Parameters:
    `locale` - The locale of the user
    `dynamicValuesContext` - The context to use when generating the query
    `returnType` - Whether to return a list of tree of values
  Returns:
    A model containing a set of possible prompt values
  Throws:
    `com.sas.storage.valueprovider.ValueProviderException`

### getValues

    java.lang.Object getValues(java.util.Locale locale,
                               DynamicPromptValueContextInterface dynamicPromptValueContext,
                               com.sas.storage.valueprovider.ValueType returnType,
                               int index,
                               int count)
                               throws com.sas.storage.valueprovider.ValueProviderException

  Parameters:
    `locale` - The locale of the user
    `dynamicValuesContext` - The context to use when generating the query
    `returnType` - Whether to return a list of tree of values
    `index` - This index to start returning query results from
    `count` - The number of query results to return
  Returns:
    A model containing a set of possible prompt values
  Throws:
    `com.sas.storage.valueprovider.ValueProviderException`

### getValues

    java.lang.Object getValues(java.util.Locale locale,
                               com.sas.prompts.PromptViewInterface promptView,
                               DynamicPromptValueContextInterface dynamicPromptValueContext,
                               com.sas.storage.valueprovider.ValueType returnType)
                               throws com.sas.storage.valueprovider.ValueProviderException

  Parameters:
    `locale` - The locale of the user
    `promptView` - The PromptView to retrieve a set of possible values for
    `dynamicValuesContext` - The context to use when generating the query
    `returnType` - Whether to return a list of tree of values
  Returns:
    A model containing a set of possible prompt values
  Throws:
    `com.sas.storage.valueprovider.ValueProviderException`

### getValues

    java.lang.Object getValues(java.util.Locale locale,
                               com.sas.prompts.PromptViewInterface promptView,
                               DynamicPromptValueContextInterface dynamicPromptValueContext,
                               com.sas.storage.valueprovider.ValueType returnType,
                               int index,
                               int count)
                               throws com.sas.storage.valueprovider.ValueProviderException

  Parameters:
    `locale` - The locale of the user
    `promptView` - The PromptView to retrieve a set of possible values for
    `dynamicValuesContext` - The context to use when generating the query
    `returnType` - Whether to return a list of tree of values
    `index` - This index to start returning query results from
    `count` - The number of query results to return
  Returns:
    A model containing a set of possible prompt values
  Throws:
    `com.sas.storage.valueprovider.ValueProviderException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.